import Manifest from '../src/Manifest.js';
import Sequence from '../src/Sequence.js';
import Canvas from '../src/Canvas.js';
import express from 'express';

let router = express.Router();

/* GET manifest JSON */
router.get('/iiif/:manifestid/manifest', function(req, res, next) {
	const IIIF_API_VERSION = process.env.IIIF_API_VERSION;
	const BASE_URL = process.env.BASE_URL;

	const manifest = new Manifest(IIIF_API_VERSION, BASE_URL);
	const sequence = new Sequence();
	const canvas = new Canvas(IIIF_API_VERSION, BASE_URL);
	canvas.setThumbnail();
	sequence.addCanvas(canvas);
	manifest.addSequence(sequence);
	manifest.generateID(req.params.manifestid);

	res.json(manifest.toObject());
});

export default router;
